%define major   %(echo %{version} | cut -d. -f1)
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%define desc \
Abseil is an open-source collection of C++ library code designed to augment \
the C++ standard library. The Abseil library code is collected from \
Google's own C++ code base, has been extensively tested and used in \
production, and is the same code we depend on in our daily coding lives. \
\
In some cases, Abseil provides pieces missing from the C++ standard; in \
others, Abseil provides alternatives to the standard for special needs we've \
found through usage in the Google code base. We denote those cases clearly \
within the library code we provide you. \
\
Abseil is not meant to be a competitor to the standard library; we've just \
found that many of these utilities serve a purpose within our code base, \
and we now want to provide those resources to the C++ community as a whole.

# https://github.com/abseil/abseil-cpp/issues/817
%define _disable_ld_no_undefined 1

Name:           abseil-cpp
Version:        20200923.2
Release:        %mkrel 1
Summary:        Collection of C++ libraries augmenting the C++ standard library
Group:          Development/C++
License:        ASL 2.0
URL:            https://abseil.io
Source0:        https://github.com/abseil/abseil-cpp/archive/%{version}/%{name}-%{version}.tar.gz

# From Debian, fixes SONAME and SSE2 on i386
# https://salsa.debian.org/debian/abseil/-/blob/master/debian/patches/configure.diff
Patch0:         debian_configure.diff

BuildRequires:  cmake

%description
%{desc}

%package -n %{libname}
Summary:        Collection of C++ libraries augmenting the C++ standard library
Group:          System/Libraries

%description -n %{libname}
%{desc}

%package -n %{devname}
Summary:        Development files for the Abseil C++ libraries
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for the Abseil C++ libraries.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license LICENSE
%doc FAQ.md LTS.md README.md UPGRADES.md
%{_libdir}/libabsl_*.so.%{major}
%{_libdir}/libabsl_*.so.%{version}

%files -n %{devname}
%{_includedir}/absl/
%{_libdir}/cmake/absl/
%{_libdir}/libabsl_*.so


%changelog
* Fri Jan 01 2021 akien <akien> 20200923.2-1.mga8
+ Revision: 1668039
- Version 20200923.2

* Wed Oct 14 2020 akien <akien> 20200923.1-1.mga8
+ Revision: 1635906
- imported package abseil-cpp

